﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProgressBarColorIssue
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();
          //  this.appStylistRuntime1.ShowRuntimeApplicationStylingEditor(this, "Form1");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("PplVoted", typeof(System.Int32));
            dt.Columns.Add("City", typeof(System.String));
            dt.Columns.Add("Percentage", typeof(System.Int32));

            dt.Rows.Add(68, "Austin", 65);
            dt.Rows.Add(74, "Cranbury", 78);
            dt.Rows.Add(45, "West Desmoines", 56);
            this.ultraGrid1.DataSource = dt;
            
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["Percentage"].EditorComponent = this.ultraProgressBar1;            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {

            ultraProgressBar1.UseOsThemes = DefaultableBoolean.False;
            // Set the appearance of the status bar control
            // to use a gradient.
            ultraProgressBar1.Appearance.BackColor = Color.Gray;
            ultraProgressBar1.Appearance.BackColor2 = Color.White;
            ultraProgressBar1.Appearance.BackGradientStyle = GradientStyle.HorizontalBump;
            ultraProgressBar1.Appearance.ForeColor = Color.Red;

            // Set the appearance for the 'fill' area of the
            // status bar control to use a different gradient.
            ultraProgressBar1.FillAppearance.BackColor = Color.Cornsilk;
            ultraProgressBar1.FillAppearance.BackColor2 = Color.White;
            ultraProgressBar1.FillAppearance.BackGradientStyle = GradientStyle.HorizontalBump;
            ultraProgressBar1.FillAppearance.ForeColor = Color.Red;

            // Set the border style for the control
            ultraProgressBar1.BorderStyle = UIElementBorderStyle.Etched;

            ultraProgressBar1.Minimum = 45;
            ultraProgressBar1.Maximum = 85;
            ultraProgressBar1.Value = 55;

            // Set the amount to increment the value when
            // the 'PerformStep' method is called.
            ultraProgressBar1.Step = 5;

            // Set the orientation of the control.
            ultraProgressBar1.Orientation = Orientation.Horizontal;

            ultraProgressBar1.PercentFormat = "P1";

          
            System.Text.StringBuilder sb = new System.Text.StringBuilder();         
                   
            ultraProgressBar1.Text = sb.ToString();
            ultraProgressBar1.Style = Infragistics.Win.UltraWinProgressBar.ProgressBarStyle.Segmented;       
            ultraProgressBar1.SegmentWidth = 6;
            ultraProgressBar1.TextVisible = true;
        }
    }
}
